libdevice User's Guide (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.310. __nv_umul64hi

Prototype:

    i64 @__nv_umul64hi(i64 %x, i64 %y)

Description:

Calculate the most significant 64 bits of the 128-bit product `x` * `y`, where `x` and `y` are 64-bit unsigned integers.

Returns:

Returns the most significant 64 bits of the product `x` * `y`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes